Bug 1258869 - Timers properties Time Cycle, Time Date and Time Duration have no validation
Timers properties Time Cycle, Time Date and Time Duration have no validation
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
All All
unspecified Severity unspecified
: ER4
: 6.2.0
Assigned To: Maciej Swiderski
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 08:34 EDT by Kirill Gaevskii
Modified: 2015-10-19 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Gaevskii 2015-09-01 08:34:23 EDT
Description of problem:
Timer Start Event in  jBPM Web Designer does not display any errors when validating a process with a bad Time Date, Time Cycle or Time Duration values.
If you will try to build and Deploy a project with wrong Time Date, Time Cycle or Time Duration you will get this error:

Deployment of unit org.jboss.qa.bpms:designer:1.0.0-SNAPSHOT failed: java.lang.RuntimeException: java.lang.IllegalStateException: java.lang.reflect.InvocationTargetException" in file "-" (without name).

So it is almost impossible to find out where is a problem.

Version-Release number of selected component (if applicable):
6.1.3.CR1

How reproducible:
always

Steps to Reproduce:
1. Create Business Process with Timer
2. Set "Time Cycle", "Time Date" or "Time Duration" in incorrect way (for example "asdfasdfa")
3. Save and Validate this Business Process
4. Try to build the whole Project

Actual results:
3. Validation done with success
4. raise an error: "java.lang.RuntimeException: java.lang.IllegalStateException: java.lang.reflect.InvocationTargetException" in file "-" (without name)"

Expected results:
3. Validation should tell you about incorrect value in "Time Cycle", "Time Date", "Time Duration" if applicable.
4. More informative message about a problem.

Additional info:
Comment 2 Tihomir Surdilovic 2015-09-01 13:13:54 EDT
Designer has its own validation and also calls upon the jBPM RuleFlowProcessValidator to gets any errors it can find and displays everything to the users. In this case it looks as RuleFlowProcessValidator does the checks for time duration but the runtime exception is indeed weird. Assigning this issue to Maciej as he is more familiar with this than myself.
Comment 3 Maciej Swiderski 2015-09-07 10:54:47 EDT
fixed on master and 6.3.x by improving timer validation

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/bd03dd45d26f7aaed5b221d3e3a1ade41aad6106

6.3.x:
https://github.com/droolsjbpm/jbpm/commit/85ba031170502903cb1224298b629af8bdcf0604
Comment 4 Jozef Marko 2015-10-19 16:09:57 EDT
In validating issues is displayed error, when some combination of cycle, date and combination is set simultaneously. If is set only one of (cycle, date, duration) and value can't be parsed, error is also displayed in validating issues. If there is no validating issue, process is deployed successfully.

Verified on 6.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.